Package org.gradle.tooling.model

# Interface SourceDirectory

All Known Subinterfaces:
  `EclipseSourceDirectory`, `IdeaSourceDirectory`

public interface SourceDirectory
Represents a source directory.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `File`
  `getDirectory()`
  Returns the source directory.

- ## Method Details

  - ### getDirectory

    File getDirectory()
    Returns the source directory.
    Returns:
      The source directory.